Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

ezform/admin/datasupplier.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: datasupplier.php 7918 2001-10-17 07:22:28Z jhe $
5 //
6 // Created on: <23-Oct-2000 17:53:46 bf>
7 //
8 // This source file is part of Exponential Basic, publishing software.
9 //
10 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26
27 // include_once( "classes/ezhttptool.php" );
28
29 $Operation = $url_array[2];
30 $Action = $url_array[3];
31
32 switch ( $Operation )
33 {
34 case "form":
35 {
36 $FormID = $url_array[4];
37
38 switch ( $Action )
39 {
40 case "edit":
41 case "insert":
42 case "update":
43 case "delete":
44 case "up":
45 case "down":
46 case "new":
47 {
48 include( "kernel/ezform/admin/formedit.php" );
49 }
50 break;
51
52 case "list":
53 {
54 $Offset = $url_array[5];
55 include( "kernel/ezform/admin/formlist.php" );
56 }
57 break;
58
59 case "view":
60 case "process":
61 {
62 include( "kernel/ezform/admin/formview.php" );
63 }
64 break;
65
66 case "preview":
67 {
68 include( "kernel/ezform/admin/formpreview.php" );
69 }
70 break;
71
72 case "fixedvalues":
73 {
74 $FromID = $url_array[4];
75 $ElementID = $url_array[5];
76 include( "kernel/ezform/admin/fixedvalues.php" );
77 }
78 break;
79
80 default:
81 {
82 eZHTTPTool::header( "Location: /error/404" );
83 }
84 break;
85 }
86 }
87 break;
88
89 default:
90 {
91 eZHTTPTool::header( "Location: /error/404" );
92 }
93 break;
94 }
95
96 ?>
eZHTTPTool\header
static header( $string)
Definition: ezhttptool.php:96
$url_array
$url_array
Definition: ezaddress/admin/datasupplier.php:34
$Offset
$Offset
Definition: ezarticle/user/search.php:110
$Operation
$Operation
Definition: ezform/admin/datasupplier.php:29
$Action
$Action
Definition: ezform/admin/datasupplier.php:30
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.